### A free/open-source library for quantitative finance

Classes
ql/instruments/basketoption.hpp File Reference

Basket option on a number of assets. More...

`#include <ql/instruments/payoffs.hpp>`
`#include <ql/instruments/multiassetoption.hpp>`
`#include <ql/math/array.hpp>`
Include dependency graph for basketoption.hpp:

## Classes

class | BasketOption
| Basket option on a number of assets. More...
class | BasketOption::engine
| Basket-option engine base class More...

## Detailed Description

Basket option on a number of assets.